# MsgBoxStyle

Namespace: **Wisej.Web.VisualBasic**

Assembly: **Wisej.Framework** (4.0.0.0)

Indicates which buttons to display when calling the MsgBox function.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MsgBoxStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MsgBoxStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                    | Description                                                                                                                        |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **AbortRetryIgnore**    | Abort, Retry, and Ignore buttons. This member is equivalent to the Visual Basic constant vbAbortRetryIgnore.                       |
| **ApplicationModal**    | Application modal message box. This member is equivalent to the Visual Basic constant vbApplicationModal.                          |
| **Critical**            | Critical message. This member is equivalent to the Visual Basic constant vbCritical.                                               |
| **DefaultButton1**      | First button is default. This member is equivalent to the Visual Basic constant vbDefaultButton1.                                  |
| **DefaultButton2**      | Second button is default. This member is equivalent to the Visual Basic constant vbDefaultButton2.                                 |
| **DefaultButton3**      | Third button is default. This member is equivalent to the Visual Basic constant vbDefaultButton3.                                  |
| **Exclamation**         | Warning message. This member is equivalent to the Visual Basic constant vbExclamation.                                             |
| **Information**         | Information message. This member is equivalent to the Visual Basic constant vbInformation.                                         |
| **MsgBoxHelp**          | Help text. This member is equivalent to the Visual Basic constant vbMsgBoxHelp.                                                    |
| **MsgBoxRight**         | Right-aligned text. This member is equivalent to the Visual Basic constant vbMsgBoxRight.                                          |
| **MsgBoxRtlReading**    | Right-to-left reading text (Hebrew and Arabic systems). This member is equivalent to the Visual Basic constant vbMsgBoxRtlReading. |
| **MsgBoxSetForeground** | Foreground message box window. This member is equivalent to the Visual Basic constant vbMsgBoxSetForeground.                       |
| **OkCancel**            | OK and Cancel buttons. This member is equivalent to the Visual Basic constant vbOKCancel.                                          |
| **OkOnly**              | OK button only (default). This member is equivalent to the Visual Basic constant vbOKOnly.                                         |
| **Question**            | Warning query. This member is equivalent to the Visual Basic constant vbQuestion.                                                  |
| **RetryCancel**         | Retry and Cancel buttons. This member is equivalent to the Visual Basic constant vbRetryCancel.                                    |
| **SystemModal**         | System modal message box. This member is equivalent to the Visual Basic constant vbSystemModal.                                    |
| **YesNo**               | Yes and No buttons. This member is equivalent to the Visual Basic constant vbYesNo.                                                |
| **YesNoCancel**         | Yes, No, and Cancel buttons. This member is equivalent to the Visual Basic constant vbYesNoCancel.                                 |

## Used By

| Name                                                                                                                                                      | Description                                                                                                                                                    |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Interaction.MsgBox](https://docs.wisej.com/api/wisej.web.visualbasic/wisej.web.visualbasic.interaction#msgbox-target-prompt-buttons-title-closecallback) | Displays a message in a dialog box, waits for the user to click a button, and then returns an integer indicating which button the user clicked.                |
| [Interaction.MsgBoxAsync](https://docs.wisej.com/api/wisej.web.visualbasic/wisej.web.visualbasic.interaction#msgboxasync-target-prompt-buttons-title)     | Asynchronously displays a message in a dialog box, waits for the user to click a button, and then returns an integer indicating which button the user clicked. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.visualbasic/extensions/wisej.web.visualbasic.msgboxstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
